summaryrefslogtreecommitdiff
path: root/world/map/conf/build-magic.sh
diff options
context:
space:
mode:
authorBen Longbons <b.r.longbons@gmail.com>2011-06-18 21:58:47 -0700
committerBen Longbons <b.r.longbons@gmail.com>2011-06-19 14:19:55 -0700
commitbae4b92e560c2694eaaf0e8b4d9e95e56204471b (patch)
tree4acc120f6a94cfbf9694bf344658493de5aaa67b /world/map/conf/build-magic.sh
parent319f80526f8585ecadaec986e37c9bd326f4d363 (diff)
downloadserverdata-bae4b92e560c2694eaaf0e8b4d9e95e56204471b.tar.gz
serverdata-bae4b92e560c2694eaaf0e8b4d9e95e56204471b.tar.bz2
serverdata-bae4b92e560c2694eaaf0e8b4d9e95e56204471b.tar.xz
serverdata-bae4b92e560c2694eaaf0e8b4d9e95e56204471b.zip
Move to a subdirectory
Diffstat (limited to 'world/map/conf/build-magic.sh')
-rwxr-xr-xworld/map/conf/build-magic.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/world/map/conf/build-magic.sh b/world/map/conf/build-magic.sh
new file mode 100755
index 00000000..30ec35b8
--- /dev/null
+++ b/world/map/conf/build-magic.sh
@@ -0,0 +1,20 @@
+#! /bin/bash
+
+RSCRIPT="spells-build"
+
+if ! grep -q -s '/bin/sed' $RSCRIPT; then
+ echo '#! /bin/sed -f' > $RSCRIPT;
+ chmod a+x $RSCRIPT
+fi
+
+for n in `grep -o '"#..."' magic.conf.template`; do
+ if ! grep -q $n $RSCRIPT; then
+ CHANGES=1
+ echo "s/${n}/${n}/" >> $RSCRIPT;
+ fi
+done
+
+if [ x$CHANGES == x1 ]
+then echo "${RSCRIPT} has been updated; please provide invocations for spells and/or teleport anchors.";
+else ./$RSCRIPT magic.conf.template > magic.conf;
+fi